<template>
  <div>
    <el-dialog :close="close" v-bind="$attrs" v-on="$listeners" :close-on-click-modal="false">
      <slot></slot>
      <slot name="footer" class="dialog-footer"></slot>
    </el-dialog>
  </div>
</template>
<script>
export default {
  name: "SocWebDialog",

  data() {
    return {};
  },

  mounted() {},

  methods: {
    close(){
      this.$emit("close");
    }
  },
};
</script>
<style lang="scss">
.dialog-footer {
  text-align: right;
}
</style>
